Package Details: ikiwiki 3.20190228-1

Git Clone URL: https://aur.archlinux.org/ikiwiki.git (read-only, click to copy)
Package Base: ikiwiki
Description: wiki/blog compiler
Upstream URL: https://ikiwiki.info
Licenses: GPL
Submitter: None
Maintainer: None
Last Packager: refi.64
Votes: 35
Popularity: 0.000000
First Submitted: 2007-08-01 15:41
Last Updated: 2019-03-15 20:44

Latest Comments

« First ‹ Previous 1 2 3 4 5

Anonymous comment on 2011-04-07 12:42

The latest available version is 3.20110328. Could you please update this package?

dundee commented on 2011-01-17 12:36

torpe23: updated, thanks.

torpe23 commented on 2011-01-17 09:42

Apparently, last version of perl has removed ikiwiki's path from @INC (the used path was already deprecated : /usr/lib/perl5/site_perl/current/). See https://wiki.archlinux.org/index.php/Perl_Policy#Module_Paths

For ikiwiki to be correctly installed, the PKGBUILD must be changed. I simply did:

--- PKBUILD.bak 2011-01-17 10:39:54.424932015 +0100
+++ PKBUILD 2011-01-17 10:40:34.154294896 +0100
@@ -14,12 +14,7 @@
build() {
cd ${startdir}/src/${pkgname}

- eval `perl -V:archname`
- # Force module installati to "current" perl directories
- perl Makefile.PL PREFIX="/usr" \
- INSTALLARCHLIB=/usr/lib/perl5/current/${archname} \
- INSTALLSITELIB=/usr/lib/perl5/site_perl/current \
- INSTALLSITEARCH=/usr/lib/perl5/site_perl/current/${archname}
+ # Install module into the vendor directories
+ perl Makefile.PL PREFIX="/usr" INSTALLDIRS=vendor
make PREFIX="/usr" || return 1
make install DESTDIR=${startdir}/pkg || return 1

dundee commented on 2011-01-01 17:33

Phrodo_00: thanks

Phrodo_00 commented on 2011-01-01 01:40

updated again... here's a pkbuild with the hash and version updated.

http://aur.pastebin.com/KusgWqXf

dundee commented on 2010-11-04 10:39

tychoish: Updated, thanks.

tychoish commented on 2010-11-03 17:17

In order to have ikiwiki's RST plugin work post-python2/python
upgrade, run this at the end of the build function to update the
shebang with python 2. When docutils updates to python3, we can remove
this, until then, it needs to happen :)

sed -i 's/env python/python2/' ${startdir}/pkg/usr/lib/ikiwiki/plugins/rst

Cheers!

Anonymous comment on 2010-10-23 01:37

Version 20100926 looks like it's no longer available on the debian mirror; 20101019 seems to work.

dundee commented on 2010-05-03 13:14

Peti: Added

Anonymous comment on 2010-05-03 10:46

Ikiwiki requires perl-rpc-xml for supporting plugins written in languages other than Perl, i.e. the RST plugin that's included in the distribution won't work. Could you please add that module as a dependency?